Genivia - saml2__StatementAbstractType Struct Reference

|  | Home | Documentation | saml2__StatementAbstractType Struct Reference updated Thu Apr 15 2021 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

saml2__StatementAbstractType Struct Reference

"urn:oasis:names:tc:SAML:2.0:assertion":StatementAbstractType is an abstract complexType. More...

`#include <saml2.h>`

## Detailed Description

"urn:oasis:names:tc:SAML:2.0:assertion":StatementAbstractType is an abstract complexType.

This type is extended by:

- "urn:oasis:names:tc:SAML:2.0:assertion":AuthnStatementType as struct saml2__AuthnStatementType
- "urn:oasis:names:tc:SAML:2.0:assertion":AuthzDecisionStatementType as struct saml2__AuthzDecisionStatementType
- "urn:oasis:names:tc:SAML:2.0:assertion":AttributeStatementType as struct saml2__AttributeStatementType

Note
  struct saml2__StatementAbstractType operations:
  - saml2__StatementAbstractType* soap_new_saml2__StatementAbstractType(struct soap*, int num) allocate and default initialize one or more values (an array)
  - soap_default_saml2__StatementAbstractType(struct soap*, saml2__StatementAbstractType*) default initialize members
  - int soap_read_saml2__StatementAbstractType(struct soap*, saml2__StatementAbstractType*) deserialize from a source
  - int soap_write_saml2__StatementAbstractType(struct soap*, saml2__StatementAbstractType*) serialize to a sink
  - saml2__StatementAbstractType* soap_dup_saml2__StatementAbstractType(struct soap*, saml2__StatementAbstractType* dst, saml2__StatementAbstractType <em>src) returns deep copy of saml2__StatementAbstractType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
  - soap_del_saml2__StatementAbstractType(saml2__StatementAbstractType) deep deletes saml2__StatementAbstractType data members, use only on dst after soap_dup_saml2__StatementAbstractType(NULL, saml2__StatementAbstractType *dst, saml2__StatementAbstractType *src) (use soapcpp2 -Ed)

The documentation for this struct was generated from the following file:

- saml2.h